Waiting for engine...
Skip to main content

Boomi Platform API Reference (1.0.0) - RuntimeRestartRequest

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

RuntimeRestartRequest

The RuntimeRestartRequest object allows you to restart the runtime when performing runtime maintenance or configuration. Restarting runtime is captured in the audit log entries.

Note: You must have the Runtime Management and Environment Management privileges to restart the runtime.

Creates a RuntimeRestartRequest object

Restarts the runtime.

  • The client sends a runtime restart request to the platform API that specifies the runtimeId that you want to restart.
  • The platform returns the status code and message while the request is in progress. A successful response implies the restart request was submitted, not when the runtime restart is completed.
Authorizations:
basicAuth
Request Body schema:
optional
message
string
runtimeId
string

A unique ID for the runtime. Cloud attachments cannot be restarted.

Responses

Response Schema:
message
string
runtimeId
string

A unique ID for the runtime. Cloud attachments cannot be restarted.

Request samples

Content type
{
  • "runtimeId": "3456789a-bcde-f012-3456-789abcdef012"
}

Response samples

Content type
{
  • "@type": "RuntimeRestartRequest",
  • "statusCode": 200,
  • "message": "Restart request submitted for runtimeId `3456789a-bcde-f012-3456-789abcdef012`. Use the Atom object to retrieve the current runtime status."
}